!
subroutine DF13(Y, H, DY, Error)
!      Y(X)
!    X1 ... XN   .
real, intent(in):: Y(:), H
real:: DY(:)
integer:: Error
real:: H12, V1, V2, V3
integer:: i, n
!begin
  n=size(Y)
  if(n<5 .or. H==0.0) then
    Error=65; return
  end if
  H12=12.0*H
  DY(1)=(-3.0*Y(5)-25.0*Y(1)-36.0*Y(3)+16.0*Y(4)+48.0*Y(2))/H12
  DY(2)=(-3.0*Y(1)-6.0*Y(4)-10.0*Y(2)+Y(5)+18.0*Y(3))/H12
  V1=8.0*Y(2); V2=8.0*Y(3)
  do i=3, n-2
    V3=8.0*Y(i+1)
    DY(i)=(Y(i-2)+V3-Y(i+2)-V1)/H12
    V1=V2; V2=V3
  end do
  DY(n-1)=(3.0*Y(n)+6.0*Y(n-3)+10.0*Y(n-1)-Y(n-4)-18.0*Y(n-2))/H12
  DY(n)=(3.0*Y(n-4)+25.0*Y(n)+36.0*Y(n-2)-16.0*Y(n-3)-48.0*Y(n-1))/H12
  Error=0
  return
end subroutine DF13

